> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update dashboard widget

> Update a dashboard widget:

**Required Fields**:
- `id`: Widget ID to update

**Optional Fields**:
- `x`, `y`, `w`, `h`: Move or resize the widget
- `name`: New widget name
- `type`: Change visualization type
- `filter`: Unified dashboard filter (sites, years, statuses)
- `settings`: Advanced options like:
  - Custom dataset mappings
  - Number formatting and decimal places
  - Aggregation methods (sum, average, etc.)
  - Chart colors and grouping options

**Access Requirements**:
- Manager permissions or higher required
- Must be in the dashboard's organization



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json put /widgets/{id}
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /widgets/{id}:
    put:
      tags:
        - Widget
      summary: Update dashboard widget
      description: |-
        Update a dashboard widget:

        **Required Fields**:
        - `id`: Widget ID to update

        **Optional Fields**:
        - `x`, `y`, `w`, `h`: Move or resize the widget
        - `name`: New widget name
        - `type`: Change visualization type
        - `filter`: Unified dashboard filter (sites, years, statuses)
        - `settings`: Advanced options like:
          - Custom dataset mappings
          - Number formatting and decimal places
          - Aggregation methods (sum, average, etc.)
          - Chart colors and grouping options

        **Access Requirements**:
        - Manager permissions or higher required
        - Must be in the dashboard's organization
      operationId: updateWidget
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                dashboardId:
                  type: string
                reportSectionId:
                  type: string
                x:
                  type: number
                'y':
                  type: number
                w:
                  type: number
                h:
                  type: number
                name:
                  type: string
                type:
                  type: string
                  enum:
                    - line_chart
                    - bar_chart
                    - pie_chart
                    - value
                    - table
                    - periodic_values
                    - text
                filter:
                  type: object
                  nullable: true
                  properties:
                    siteIds:
                      type: array
                      items:
                        type: string
                    startYear:
                      type: number
                    endYear:
                      type: number
                    startDate:
                      type: string
                    endDate:
                      type: string
                    statuses:
                      type: array
                      items:
                        type: string
                        enum:
                          - COMPLETED
                          - APPROVED
                          - REJECTED
                indicatorId:
                  type: string
                settings:
                  type: object
                  properties:
                    showTitle:
                      type: boolean
                      nullable: true
                    indicatorDatasetMappings:
                      type: object
                      nullable: true
                      additionalProperties:
                        type: object
                        properties:
                          useDatasetValue:
                            type: boolean
                          datasetId:
                            type: string
                          name:
                            type: string
                          field:
                            type: string
                        required:
                          - useDatasetValue
                    period:
                      type: string
                      nullable: true
                      enum:
                        - MONTHLY
                        - QUARTERLY
                        - YEARLY
                        - TIMESTAMP
                        - null
                    displayMode:
                      type: string
                      nullable: true
                      enum:
                        - sites
                        - aggregated
                        - groups
                        - null
                    decimalPlaces:
                      type: number
                      nullable: true
                    aggregator:
                      type: string
                      nullable: true
                      enum:
                        - sum
                        - avg
                        - ratio
                        - null
                    showNumbers:
                      type: boolean
                      nullable: true
                    showIndicatorName:
                      type: boolean
                      nullable: true
                    angle:
                      type: number
                      nullable: true
                    chartSettings:
                      type: string
                      nullable: true
                      enum:
                        - default
                        - stacked
                        - percent
                        - null
                    decomposeAdditiveKpi:
                      type: boolean
                      nullable: true
                    timeGranularity:
                      type: string
                      nullable: true
                      enum:
                        - monthly
                        - daily
                        - hourly
                        - null
                    siteGroups:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          siteIds:
                            type: array
                            items:
                              type: string
                        required:
                          - id
                          - name
                          - siteIds
                    siteGroupIds:
                      type: array
                      nullable: true
                      items:
                        type: string
                    selectedTargetEntries:
                      type: array
                      nullable: true
                      items:
                        type: string
                    showTargets:
                      type: boolean
                      nullable: true
                    showIndividualTargetLines:
                      type: boolean
                      nullable: true
                    showContributionShares:
                      type: boolean
                      nullable: true
                    contributionScope:
                      type: string
                      nullable: true
                      enum:
                        - organization
                        - visible
                        - null
                    displayUnitId:
                      type: string
                      nullable: true
                    showGlobalAggregateLines:
                      type: boolean
                      nullable: true
                    showGlobalAggregateAverageLine:
                      type: boolean
                      nullable: true
                    globalAggregateTotalLabel:
                      type: string
                      nullable: true
                      maxLength: 80
                    globalAggregateAverageLabel:
                      type: string
                      nullable: true
                      maxLength: 80
                    showPeerAverageLine:
                      type: boolean
                      nullable: true
                    peerAverageLabel:
                      type: string
                      nullable: true
                      maxLength: 80
                    hideEmptyPeriods:
                      type: boolean
                      nullable: true
                    useTonBasedReporting:
                      type: boolean
                      nullable: true
                    showFormElements:
                      type: boolean
                      nullable: true
                    tableView:
                      type: string
                      nullable: true
                      enum:
                        - hierarchy
                        - drilldown
                        - null
                    content:
                      type: string
                      nullable: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  dashboardId:
                    type: string
                    nullable: true
                  reportSectionId:
                    type: string
                    nullable: true
                  relatedModelType:
                    type: string
                  relatedModelId:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                    enum:
                      - line_chart
                      - bar_chart
                      - pie_chart
                      - value
                      - table
                      - periodic_values
                      - text
                  indicatorId:
                    type: string
                    nullable: true
                  indicatorName:
                    type: string
                    nullable: true
                  indicatorLabel:
                    type: string
                    nullable: true
                  x:
                    type: number
                    nullable: true
                  'y':
                    type: number
                    nullable: true
                  w:
                    type: number
                    nullable: true
                  h:
                    type: number
                    nullable: true
                  settings:
                    type: object
                    additionalProperties: {}
                  filter:
                    type: object
                    nullable: true
                    properties:
                      siteIds:
                        type: array
                        items:
                          type: string
                      startYear:
                        type: number
                      endYear:
                        type: number
                      startDate:
                        type: string
                      endDate:
                        type: string
                      statuses:
                        type: array
                        items:
                          type: string
                          enum:
                            - COMPLETED
                            - APPROVED
                            - REJECTED
                required:
                  - id
                  - dashboardId
                  - reportSectionId
                  - relatedModelType
                  - relatedModelId
                  - name
                  - type
                  - indicatorId
                  - indicatorName
                  - indicatorLabel
                  - x
                  - 'y'
                  - w
                  - h
                  - settings
                  - filter
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````